BREATHE-APIDOC(1)

NAME
breathe-apidoc - extract API documentation from Doxygen

SYNOPSIS
breathe-apidoc -o DESTDIR [-f] [-m] [-n] [-T] [-s SUFFIX] [-p PROJECT] [-g TYPE] [-q] PATH

DESCRIPTION
breathe-apidoc parses the XML output generated by doxygen(1) and extracts the API documentation for use with Sphinx.

The following command line arguments are recognized:

PATH
    the location of the index.xml file generated by Doxygen

-o DESTDIR, --output DESTDIR
    directory to place all output

-f, --force
    overwrite existing files

-m, --members
    include information about members of class, group, interface, namespace, and struct types

-n, --dry-run
    run the script without actually creating output files

-T, --no--toc
    do not create a table of contents files

-s SUFFIX, --suffix SUFFIX
    file extension for the created Sphinx input files (defaults to .rst).

-p PROJECT, --project PROJECT
    add project PROJECT to generated directives

-q, --quiet
    suppress informational messages

SEE ALSO
doxygen(1)

NOTE
This manual page was written for the Debian project by Timo Röhling (roehling@debian.org), and may be used without restriction.